Submit Upfront Price Request For Catalog Item

Submit Upfront Price Request For Catalog Item
Create a request to calculate upfront price for a given catalog item.

Returns upfront price response for a given catalog item.

Request
URI
POST
https://{vcfa-fqdn}/catalog/api/items/{id}/upfront-prices
COPY
Path Parameters
string
id
Required  

Catalog Item ID


Request Body
CatalogItemRequest of type(s) application/json
Required  
{
    "bulkRequestCount": 0,
    "deploymentName": "string",
    "inputs": {},
    "projectId": "string",
    "reason": "string",
    "version": "string"
}
integer As int32 As int32
bulkRequestCount
Optional

Deployment request count; defaults to 1 if not specified.

string
deploymentName
Optional
Constraints: maxLength: 900

Name of the requested deployment

object
inputs
Optional

inputs

string
projectId
Optional

Project to be used for the request

string
reason
Optional
Constraints: maxLength: 10240

Reason for request

string
version
Optional

Version of the catalog item. e.g. v2.0

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CatalogItemUpfrontPriceResponse of type(s) application/json
{
    "dailyAdditionalPrice": "number",
    "dailyComputePrice": "number",
    "dailyNetworkPrice": "number",
    "dailyStoragePrice": "number",
    "dailyTotalPrice": "number",
    "resourcePriceDetails": [
        {
            "dailyAdditionalPrice": "number",
            "dailyComputePrice": "number",
            "dailyNetworkPrice": "number",
            "dailyStoragePrice": "number",
            "dailyTotalPrice": "number",
            "resourceName": "string",
            "resourceType": "string",
            "resourceUpfrontPriceId": "string",
            "status": "string",
            "statusDetails": "string",
            "unit": "string"
        }
    ],
    "status": "string",
    "statusDetails": "string",
    "unit": "string",
    "upfrontPriceId": "string"
}
number
dailyAdditionalPrice
Read-Only  

Additional Price incurred for the catalog.

number
dailyComputePrice
Read-Only  

Compute Price of the catalog.

number
dailyNetworkPrice
Read-Only  

Network Price of the catalog.

number
dailyStoragePrice
Read-Only  

Storage Price of the catalog.

number
dailyTotalPrice
Read-Only  

Total Price of the catalog.

array of object
resourcePriceDetails
Optional

A response with upfront price for a resource in given catalog item

string
status
Read-Only  

Upfront price sync status

Enumeration: STARTED, PREPARING_COST_ESTIMATION, IN_PROGRESS, SUCCESS, ERROR, DATA_NOT_AVAILABLE, CURRENCY_NOT_SET, PUBLIC_CLOUD_NOT_SUPPORTED
string
statusDetails
Read-Only  

Upfront price status detail.

string
unit
Read-Only  

Monetary unit.

string
upfrontPriceId
Read-Only  

Id


401

Unauthorized

Returns CatalogItemUpfrontPriceResponse of type(s) application/json
{
    "dailyAdditionalPrice": "number",
    "dailyComputePrice": "number",
    "dailyNetworkPrice": "number",
    "dailyStoragePrice": "number",
    "dailyTotalPrice": "number",
    "resourcePriceDetails": [
        {
            "dailyAdditionalPrice": "number",
            "dailyComputePrice": "number",
            "dailyNetworkPrice": "number",
            "dailyStoragePrice": "number",
            "dailyTotalPrice": "number",
            "resourceName": "string",
            "resourceType": "string",
            "resourceUpfrontPriceId": "string",
            "status": "string",
            "statusDetails": "string",
            "unit": "string"
        }
    ],
    "status": "string",
    "statusDetails": "string",
    "unit": "string",
    "upfrontPriceId": "string"
}
number
dailyAdditionalPrice
Read-Only  

Additional Price incurred for the catalog.

number
dailyComputePrice
Read-Only  

Compute Price of the catalog.

number
dailyNetworkPrice
Read-Only  

Network Price of the catalog.

number
dailyStoragePrice
Read-Only  

Storage Price of the catalog.

number
dailyTotalPrice
Read-Only  

Total Price of the catalog.

array of object
resourcePriceDetails
Optional

A response with upfront price for a resource in given catalog item

string
status
Read-Only  

Upfront price sync status

Enumeration: STARTED, PREPARING_COST_ESTIMATION, IN_PROGRESS, SUCCESS, ERROR, DATA_NOT_AVAILABLE, CURRENCY_NOT_SET, PUBLIC_CLOUD_NOT_SUPPORTED
string
statusDetails
Read-Only  

Upfront price status detail.

string
unit
Read-Only  

Monetary unit.

string
upfrontPriceId
Read-Only  

Id


404

Not Found

Returns CatalogItemUpfrontPriceResponse of type(s) application/json
"CatalogItemUpfrontPriceResponse Object"
number
dailyAdditionalPrice
Read-Only  

Additional Price incurred for the catalog.

number
dailyComputePrice
Read-Only  

Compute Price of the catalog.

number
dailyNetworkPrice
Read-Only  

Network Price of the catalog.

number
dailyStoragePrice
Read-Only  

Storage Price of the catalog.

number
dailyTotalPrice
Read-Only  

Total Price of the catalog.

array of object
resourcePriceDetails
Optional

A response with upfront price for a resource in given catalog item

string
status
Read-Only  

Upfront price sync status

Enumeration: STARTED, PREPARING_COST_ESTIMATION, IN_PROGRESS, SUCCESS, ERROR, DATA_NOT_AVAILABLE, CURRENCY_NOT_SET, PUBLIC_CLOUD_NOT_SUPPORTED
string
statusDetails
Read-Only  

Upfront price status detail.

string
unit
Read-Only  

Monetary unit.

string
upfrontPriceId
Read-Only  

Id


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/catalog/api/items/{id}/upfront-prices